SUSE 5052 Published by

A libxml2 security update has been released for SUSE Linux Enterprise and openSUSE Leap 15.4.



SUSE-SU-2022:3692-1: important: Security update for libxml2


SUSE Security Update: Security update for libxml2
______________________________________________________________________________

Announcement ID: SUSE-SU-2022:3692-1
Rating: important
References: #1204366 #1204367
Cross-References: CVE-2022-40303 CVE-2022-40304
CVSS scores:
CVE-2022-40303 (SUSE): 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
CVE-2022-40304 (SUSE): 8.1 CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H

Affected Products:
SUSE Linux Enterprise Desktop 15-SP4
SUSE Linux Enterprise High Performance Computing 15-SP4 SUSE Linux Enterprise Micro 5.3
SUSE Linux Enterprise Module for Basesystem 15-SP4 SUSE Linux Enterprise Server 15-SP4
SUSE Linux Enterprise Server for SAP Applications 15-SP4SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
openSUSE Leap 15.4
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.
Description:

This update for libxml2 fixes the following issues:

- CVE-2022-40303: Fixed integer overflows with XML_PARSE_HUGE (bsc#1204366).
- CVE-2022-40304: Fixed dict corruption caused by entity reference cycles (bsc#1204367).

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:
- openSUSE Leap 15.4:

zypper in -t patch openSUSE-SLE-15.4-2022-3692=1

- SUSE Linux Enterprise Module for Basesystem 15-SP4:

zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP4-2022-3692=1
- SUSE Linux Enterprise Micro 5.3:

zypper in -t patch SUSE-SLE-Micro-5.3-2022-3692=1


Package List:

- openSUSE Leap 15.4 (aarch64 ppc64le s390x x86_64):

libxml2-2-2.9.14-150400.5.10.1
libxml2-2-debuginfo-2.9.14-150400.5.10.1
libxml2-debugsource-2.9.14-150400.5.10.1
libxml2-devel-2.9.14-150400.5.10.1
libxml2-tools-2.9.14-150400.5.10.1
libxml2-tools-debuginfo-2.9.14-150400.5.10.1
python3-libxml2-2.9.14-150400.5.10.1
python3-libxml2-debuginfo-2.9.14-150400.5.10.1

- openSUSE Leap 15.4 (x86_64):

libxml2-2-32bit-2.9.14-150400.5.10.1
libxml2-2-32bit-debuginfo-2.9.14-150400.5.10.1
libxml2-devel-32bit-2.9.14-150400.5.10.1

- openSUSE Leap 15.4 (noarch):

libxml2-doc-2.9.14-150400.5.10.1

- SUSE Linux Enterprise Module for Basesystem 15-SP4 (aarch64 ppc64le s390x x86_64):

libxml2-2-2.9.14-150400.5.10.1
libxml2-2-debuginfo-2.9.14-150400.5.10.1
libxml2-debugsource-2.9.14-150400.5.10.1
libxml2-devel-2.9.14-150400.5.10.1
libxml2-tools-2.9.14-150400.5.10.1
libxml2-tools-debuginfo-2.9.14-150400.5.10.1
python3-libxml2-2.9.14-150400.5.10.1
python3-libxml2-debuginfo-2.9.14-150400.5.10.1

- SUSE Linux Enterprise Module for Basesystem 15-SP4 (x86_64):
libxml2-2-32bit-2.9.14-150400.5.10.1
libxml2-2-32bit-debuginfo-2.9.14-150400.5.10.1

- SUSE Linux Enterprise Micro 5.3 (aarch64 s390x x86_64):
libxml2-2-2.9.14-150400.5.10.1
libxml2-2-debuginfo-2.9.14-150400.5.10.1
libxml2-debugsource-2.9.14-150400.5.10.1
libxml2-python-debugsource-2.9.14-150400.5.10.1
libxml2-tools-2.9.14-150400.5.10.1
libxml2-tools-debuginfo-2.9.14-150400.5.10.1
python3-libxml2-2.9.14-150400.5.10.1
python3-libxml2-debuginfo-2.9.14-150400.5.10.1

References:

  https://www.suse.com/security/cve/CVE-2022-40303.html
  https://www.suse.com/security/cve/CVE-2022-40304.html
  https://bugzilla.suse.com/1204366
  https://bugzilla.suse.com/1204367